> For clean Markdown of any page, append .md to the page URL. > For a complete documentation index, see https://developer.gitiho.com/gitiho-business-api/lms/chi-tiết-hoàn-thành-khoá-học/llms.txt. > For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://developer.gitiho.com/_mcp/server. # Chi tiết hoàn thành khoá học GET https://example.gitiho.com/api/detail/course/learning/101047/12347 - Trả về kết quả hoàn thành nội dung một khoá học của nhân sự - Trong api sẽ có thông tin khóa học tham gia, phần trăm hoàn thành của từng bài học - employer_id: 264 (ID của nhân sự, được trả về từ Enpoint api/report/course-completed) - course_id: 121 (ID của khoá học, được trả về từ Enpoint api/report/course-completed)) Reference: https://developer.gitiho.com/gitiho-business-api/lms/chi-tiết-hoàn-thành-khoá-học ## Response ### 200 OK - `data` (ChiTiếtHoanThanhKhoaHọcLmsResponseData, required) - `success` (boolean, required) ## Types ### ChiTiếtHoanThanhKhoaHọcLmsResponseData - `user` (ChiTiếtHoanThanhKhoaHọcLmsResponseDataUser, required) - `course` (ChiTiếtHoanThanhKhoaHọcLmsResponseDataCourse, required) - `course_contents` (ChiTiếtHoanThanhKhoaHọcLmsResponseDataCourseContents, required) ### ChiTiếtHoanThanhKhoaHọcLmsResponseDataUser - `id` (integer, required) - `name` (string, required) - `email` (string, required) - `avatar` (string, required) - `language` (string, required) - `short_name` (string, required) - `statusHtml` (string, required) - `code_employer` (string, required) - `email_username` (string, required) - `title` (any, optional, nullable) - `username` (any, optional, nullable) - `avatar_disk` (any, optional, nullable) ### ChiTiếtHoanThanhKhoaHọcLmsResponseDataCourse - `id` (integer, required) - `title` (string, required) - `status` (integer, required) - `cou_price` (any, optional, nullable) - `sale_price` (any, optional, nullable) ### ChiTiếtHoanThanhKhoaHọcLmsResponseDataCourseContents - `0` (ChiTiếtHoanThanhKhoaHọcLmsResponseDataCourseContents0, required) - `9` (ChiTiếtHoanThanhKhoaHọcLmsResponseDataCourseContents9, required) ### ChiTiếtHoanThanhKhoaHọcLmsResponseDataCourseContents0 - `title` (string, required) - `lecture` (list of ChiTiếtHoanThanhKhoaHọcLmsResponseDataCourseContents0LectureItem, required) ### ChiTiếtHoanThanhKhoaHọcLmsResponseDataCourseContents9 - `title` (string, required) - `lecture` (list of ChiTiếtHoanThanhKhoaHọcLmsResponseDataCourseContents9LectureItem, required) ### ChiTiếtHoanThanhKhoaHọcLmsResponseDataCourseContents0LectureItem - `id` (integer, required) - `type` (string, required) - `title` (string, required) - `completed_at` (string, required) - `completed_percent` (integer, required) ### ChiTiếtHoanThanhKhoaHọcLmsResponseDataCourseContents9LectureItem - `id` (integer, required) - `type` (string, required) - `point` (string, required) - `title` (string, required) - `day_completed` (datetime, required) ## Examples **Response** ```json { "data": { "user": { "id": 16233, "name": "họ và tên", "email": "dev2@gitiho.com", "avatar": "https://daotao.gitiho.com/images/biz_avatar/folder_16/vu-thuy.png", "language": "vi", "short_name": "Vũ Thị Thủy", "statusHtml": " Active ", "code_employer": "G0158", "email_username": "thuyvu@gitiho.com" }, "course": { "id": 478, "title": "Khuyến khích giao tiếp và cộng tác trong team", "status": 1 }, "course_contents": { "0": { "title": "Nội dung Khóa học", "lecture": [ { "id": 22026, "type": "Lecture", "title": "Giới thiệu khoá học", "completed_at": "2023-08-22 17:54:14", "completed_percent": 100 }, { "id": 22027, "type": "Lecture", "title": "Thế nào là giao tiếp đội nhóm lành mạnh?", "completed_at": "2023-08-22 17:54:30", "completed_percent": 100 }, { "id": 22028, "type": "Lecture", "title": "Xử lý vấn đề chỉ trích thái quá (Over Criticism) và tư duy tập thể (Groupthink)", "completed_at": "2023-08-22 17:56:11", "completed_percent": 100 }, { "id": 22029, "type": "Lecture", "title": "Người chen ngang và người lười đóng góp", "completed_at": "2023-08-22 17:58:12", "completed_percent": 100 }, { "id": 22030, "type": "Lecture", "title": "Đạt tới sự cộng tác trong nhóm - những nhiệm vụ hướng tới đội nhóm", "completed_at": "2023-08-22 17:59:41", "completed_percent": 100 }, { "id": 22031, "type": "Lecture", "title": "Đạt tới cộng tác trong nhóm: Thông điệp hướng tới đội nhóm", "completed_at": "2023-08-22 18:01:24", "completed_percent": 100 }, { "id": 22032, "type": "Lecture", "title": "Công nghệ truyền thông cho đội nhóm ảo", "completed_at": "2023-08-22 18:03:02", "completed_percent": 100 }, { "id": 22033, "type": "Lecture", "title": "Thiết lập nguyên tắc giao tiếp cho đội nhóm ảo", "completed_at": "2023-08-22 18:05:02", "completed_percent": 100 } ] }, "9": { "title": "Kiểm tra cuối khóa", "lecture": [ { "id": 29596, "type": "Exam", "point": "
75%
", "title": "Bài kiểm tra cuối khóa", "day_completed": "2023-08-22T11:07:08Z" } ] } } }, "success": true } ``` **SDK Code** ```python import requests url = "https://example.gitiho.com/api/detail/course/learning/101047/12347" response = requests.get(url) print(response.json()) ``` ```javascript const url = 'https://example.gitiho.com/api/detail/course/learning/101047/12347'; const options = {method: 'GET'}; try { const response = await fetch(url, options); const data = await response.json(); console.log(data); } catch (error) { console.error(error); } ``` ```go package main import ( "fmt" "net/http" "io" ) func main() { url := "https://example.gitiho.com/api/detail/course/learning/101047/12347" req, _ := http.NewRequest("GET", url, nil) res, _ := http.DefaultClient.Do(req) defer res.Body.Close() body, _ := io.ReadAll(res.Body) fmt.Println(res) fmt.Println(string(body)) } ``` ```ruby require 'uri' require 'net/http' url = URI("https://example.gitiho.com/api/detail/course/learning/101047/12347") http = Net::HTTP.new(url.host, url.port) http.use_ssl = true request = Net::HTTP::Get.new(url) response = http.request(request) puts response.read_body ``` ```java import com.mashape.unirest.http.HttpResponse; import com.mashape.unirest.http.Unirest; HttpResponse response = Unirest.get("https://example.gitiho.com/api/detail/course/learning/101047/12347") .asString(); ``` ```php request('GET', 'https://example.gitiho.com/api/detail/course/learning/101047/12347'); echo $response->getBody(); ``` ```csharp using RestSharp; var client = new RestClient("https://example.gitiho.com/api/detail/course/learning/101047/12347"); var request = new RestRequest(Method.GET); IRestResponse response = client.Execute(request); ``` ```swift import Foundation let request = NSMutableURLRequest(url: NSURL(string: "https://example.gitiho.com/api/detail/course/learning/101047/12347")! as URL, cachePolicy: .useProtocolCachePolicy, timeoutInterval: 10.0) request.httpMethod = "GET" let session = URLSession.shared let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in if (error != nil) { print(error as Any) } else { let httpResponse = response as? HTTPURLResponse print(httpResponse) } }) dataTask.resume() ```